## calibre 8.10.0+ds

=== debian/changelog ===
calibre (8.10.0+ds-3) unstable; urgency=medium

  * Typo fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 06 Sep 2025 01:27:31 +0900

calibre (8.10.0+ds-2) unstable; urgency=medium

  * Disable fragile test for arm64
  * Enable Qt test for i386 and armhf
  * Disable Salsa CI for arm64
    arm64 runner is now offline.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Sep 2025 19:30:15 +0900

calibre (8.10.0+ds-1) unstable; urgency=medium

  * Forward a patch to upstream
  * New upstream version 8.10.0+ds
  * Rediff patches.
    Drop 0079-Drop-unused-exec-permission-for-log-files.patch:
      applied by upstream
  * Update copright years.
    Take years from upstream COPYRIGHT file.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 05 Sep 2025 12:28:24 +0900

=== debian/control ===
Source: calibre
Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
Uploaders:
    YOKOTA Hiroshi <yokota.hgml@gmail.com>,
    Martin Pitt <mpitt@debian.org>,
    Nicholas D Steeves <sten@debian.org>
Section: text
Priority: optional
Build-Depends:
    debhelper-compat (= 13),
    cmake (>= 3.21),
    ca-certificates,
    curl,
    dh-python (>= 6.20250414),
    fonts-liberation (>= 1:2.1.5-2),
    libavdevice-dev,
    libavformat-dev,
    libboost-dev,
    libchm-dev,
    libegl-dev,
    libespeak-ng-dev,
    libhunspell-dev,
    libhyphen-dev,
    libicu-dev,
    libjpeg-turbo-progs,
    libjxr-tools,
    libmtdev-dev [linux-any],
    libmtp-dev,
    libonnxruntime-dev,
    libpodofo-dev,
    libqt6webenginecore6-bin,
    librsvg2-bin,
    libsqlite3-dev,
    libssl-dev,
    libstemmer-dev,
    libuchardet-dev,
    libudev-dev [linux-any],
    libusb-1.0-0-dev,
    optipng,
    poppler-utils,
    pyqt6-dev,
    pyqt6-dev-tools,
    python3,
    python3-apsw,
    python3-bs4,
    python3-chm,
    python3-css-parser,
    python3-cssselect,
    python3-dateutil,
    python3-dev,
    python3-feedparser (>= 6.0.8-1~),
    python3-fonttools,
    python3-html2text,
    python3-html5-parser (>=0.4.10-1~),
    python3-html5lib,
    python3-ipython,
    python3-jeepney,
    python3-lxml,
    python3-lxml-html-clean,
    python3-markdown,
    python3-mechanize,
    python3-msgpack,
    python3-netifaces,
    python3-pil,
    python3-psutil,
    python3-py7zr (>= 1.0.0+dfsg1-1~),
    python3-pycryptodome,
    python3-pygments,
    python3-pyparsing,
    python3-pyqt6,
    python3-pyqt6.qtmultimedia,
    python3-pyqt6.qtquick,
    python3-pyqt6.qtsvg,
    python3-pyqt6.qttexttospeech,
    python3-pyqt6.qtwebengine,
    python3-pyqtbuild,
    python3-pyzstd,
    python3-regex,
    python3-requests-toolbelt,
    python3-routes,
    python3-setuptools,
    python3-sipbuild,
    python3-six,
    python3-speechd,
    python3-xxhash,
    python3-zeroconf,
    qt6-image-formats-plugins,
    qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
    qt6-svg-plugins,
    qmake6,
    qt6-base-dev,
    qt6-base-private-dev,
    qt6-wayland,
    webp,
    xdg-utils
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/debian-calibre/calibre
Vcs-Git: https://github.com/debian-calibre/calibre.git
Homepage: https://calibre-ebook.com
Rules-Requires-Root: no

Package: calibre
Architecture: all
Depends:
    calibre-bin (>= ${source:Version}),
    ${misc:Depends},
    ca-certificates,
    fonts-liberation (>= 1:2.1.5-2),
    libjpeg-turbo-progs,
    libjxr-tools,
    libqt6webenginecore6-bin,
    optipng,
    poppler-utils,
    ${python3:Depends},
    pyqt6-dev-tools,
    python3-apsw,
    python3-bs4,
    python3-chm,
    python3-css-parser,
    python3-cssselect,
    python3-dateutil,
    python3-feedparser,
    python3-fonttools,
    python3-html2text,
    python3-html5-parser,
    python3-html5lib,
    python3-jeepney,
    python3-lxml,
    python3-lxml-html-clean,
    python3-markdown,
    python3-mechanize,
    python3-msgpack,
    python3-netifaces,
    python3-pil,
    python3-py7zr,
    python3-pycryptodome,
    python3-pygments,
    python3-pyparsing,
    python3-pyqt6 (>= ${pyqt:Version}),
    python3-pyqt6.qtmultimedia,
    python3-pyqt6.qtquick,
    python3-pyqt6.qtsvg,
    python3-pyqt6.qttexttospeech,
    python3-pyqt6.qtwebengine,
    python3-pyqt6.sip,
    python3-regex,
    python3-routes,
    python3-speechd,
    python3-xxhash,
    python3-zeroconf,
    webp,
    xdg-utils
Recommends:
    python3-dnspython,
    python3-ipython,
    python3-requests-toolbelt,
    python3-six,
    qt6-speech-flite-plugin | qt6-speech-speechd-plugin,
    udisks2
Suggests: python3-unrardll
Description: powerful and easy to use e-book manager
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 Calibre is primarily an e-book cataloging program. It manages your e-book
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to e-books in several
 formats. It also supports conversion to and from a dozen different e-book
 formats.
 .
 Calibre supports almost every single e-Reader (e.g., Kindle, Kobo, Nook) and
 is compatible with more devices with every update. Calibre can transfer your
 e-books from one device to another in seconds, wirelessly or with a cable.
 It will send the best file format for your device converting it if
 needed, automatically.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a e-book and upload to a connected device.
 .
 Calibre has also a built-in e-book viewer that can display all the major e-book
 formats.

Package: calibre-bin
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Recommends:
    calibre (>= ${source:Version}),
    qt6-image-formats-plugins,
    qt6-svg-plugins
Description: powerful and easy to use e-book manager (binary plugins)
 Calibre is a complete e-library solution. It includes library management,
 format conversion, news feeds to e-book conversion, e-book viewer and editor,
 and e-book reader sync features.
 .
 This package contains the compiled architecture dependent plugins, the main
 package is called 'calibre'.

=== debian/watch ===
# -*- mode: conf -*-
Version: 5

Source: https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases
Matching-Pattern: https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
Pgp-Mode: next
Search-Mode: plain
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/

Source: https://calibre-ebook.com/signatures/
Matching-Pattern: @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig
Pgp-Mode: previous
Version-Schema: previous

## calibre 8.11.0+ds+~0.10.5

=== debian/changelog ===
calibre (8.11.0+ds+~0.10.5-1) unstable; urgency=medium

  * Use template syntax for watch file
  * Embed PoDoFo 0.10.
    This fix avoids package removal that affects from Debian bug 1036938.
  * Import PoDoFo while import-orig
  * New upstream version 8.10.0+ds+~0.10.5
  * Build embedded PoDoFo
  * Drop PoDoFo 0.9.8 support
  * Drop system PoDoFo from build-depends
  * Use absolute path for PoDoFo plugin
  * Tweak link options for embedded PoDoFo
  * Rediff patches
  * Rediff patches
  * Add required development files for PoDoFo
  * Rediff patches
  * Add PoDoFo path to installation process.
    PoDoFo path is required for installation
  * Add license text for PoDoFo
  * Add cleaner for PoDoFo
  * Drop Piper test on arm64.
    It avoids test failure by "Illegal instruction" error.
  * onnxruntime for i386 is now available since onnxruntime:1.21.0+dfsg-2
  * Change clean target to build PoDoFo.
    Clean target must works on first time build.
  * New upstream version 8.11.0+ds+~0.10.5
  * Rediff patches.
    Drop pykakasi/0074-Revert-Remove-more-exclusions.patch: empty patch
  * Renumber patches
  * Other gbp commands like "export-orig" might wants "component" option.
    Salsa CI also wants this option to build multiple upstream tarball (MUT)
    package.
  * Add hardening options to PoDoFo build
    blhc test wants this options.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Sep 2025 12:23:43 +0900

=== debian/control ===
--- 
+++ 
@@ -22,20 +22,22 @@
     libhunspell-dev,
     libhyphen-dev,
     libicu-dev,
+    libjpeg-dev,
     libjpeg-turbo-progs,
     libjxr-tools,
     libmtdev-dev [linux-any],
     libmtp-dev,
     libonnxruntime-dev,
-    libpodofo-dev,
     libqt6webenginecore6-bin,
     librsvg2-bin,
     libsqlite3-dev,
     libssl-dev,
     libstemmer-dev,
+    libtiff-dev,
     libuchardet-dev,
     libudev-dev [linux-any],
     libusb-1.0-0-dev,
+    libxml2-dev,
     optipng,
     poppler-utils,
     pyqt6-dev,

=== debian/watch ===
# -*- mode: conf -*-
Version: 5
Version-Schema: group

Template: Github
Owner: kovidgoyal
Project: calibre
Source: https://api.github.com/repos/kovidgoyal/@PACKAGE@/releases
Matching-Pattern: https://github.com/kovidgoyal/@PACKAGE@/releases/download/v\d+\.\d+\.\d+/@PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz
Pgp-Mode: next
Dversion-Mangle: s/\+ds//
Oversion-Mangle: s/$/+ds/

Source: https://calibre-ebook.com/signatures/
Matching-Pattern: @PACKAGE@-(\d+\.\d+\.\d+)\.tar\.xz\.sig
Pgp-Mode: previous
Version-Schema: previous

Component: podofo
Template: Github
Owner: podofo
Project: podofo
Source: https://api.github.com/repos/podofo/podofo/git/matching-refs/tags/0.10

## calibre 8.11.1+ds+~0.10.5

=== debian/changelog ===
calibre (8.11.1+ds+~0.10.5-3) unstable; urgency=medium

  * Drop failed test for arm64
  * Typo fix in debian/copyright

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Sep 2025 11:57:27 +0900

calibre (8.11.1+ds+~0.10.5-2) unstable; urgency=medium

  * Revert "Disable autopkgtest for i386"
    "onnxruntime" is now works on i386 since onnxruntime 1.21.0+dfsg-2 .

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Sep 2025 21:27:17 +0900

calibre (8.11.1+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.11.1+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Sep 2025 16:14:36 +0900

## calibre 8.12.0+ds+~0.10.5

=== test/CMakeLists.txt ===
set(PDF_TEST_RESOURCE_PATH "${PROJECT_SOURCE_DIR}/extern/resources")
if(NOT EXISTS "${PDF_TEST_RESOURCE_PATH}")
    message(WARNING "Test resources path doesn't exists, tests disabled. Try fetch git submodules if you want tests to be enabled")
    return()
endif()

set(PDF_TEST_OUTPUT_PATH "${CMAKE_CURRENT_SOURCE_DIR}/out")
make_directory(${PDF_TEST_OUTPUT_PATH})

include_directories("${PROJECT_SOURCE_DIR}/3rdparty/include")

file(TO_NATIVE_PATH "${PDF_TEST_RESOURCE_PATH}" PDF_TEST_RESOURCE_PATH)
file(TO_NATIVE_PATH "${PDF_TEST_OUTPUT_PATH}" PDF_TEST_OUTPUT_PATH)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/PdfTestConfig.h.in" "${CMAKE_CURRENT_BINARY_DIR}/PdfTestConfig.h")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(common)
include_directories(common)

set_property(GLOBAL PROPERTY CTEST_TARGETS_ADDED 1)
set(Catch2_DIR "${CMAKE_CURRENT_SOURCE_DIR}/common/cmake")
find_package(Catch2 REQUIRED)

add_subdirectory(unit)

=== test/ObjectParserTest/CMakeLists.txt ===
ADD_EXECUTABLE(ObjectParserTest ObjectParserTest.cpp)
TARGET_LINK_LIBRARIES(ObjectParserTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(ObjectParserTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(ObjectParserTest ${PODOFO_DEPEND_TARGET})

# Copy the test samples over to the build tree
ADD_CUSTOM_COMMAND(
    TARGET ObjectParserTest
    POST_BUILD
    COMMAND "${CMAKE_COMMAND}" -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/objects" "${CMAKE_CURRENT_BINARY_DIR}/objects"
    )

=== tools/podofocrop/CMakeLists.txt ===
add_executable(podofocrop podofocrop.cpp)
target_link_libraries(podofocrop ${PODOFO_LIBRARIES} tools_private)
install(TARGETS podofocrop RUNTIME DESTINATION "bin")

=== debian/changelog ===
calibre (8.12.0+ds+~0.10.5-1) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch
    dpkg-dev-el provides debian-rfc822-watch-mode.
  * New upstream version 8.12.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 02 Oct 2025 17:38:58 +0900

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# -*- mode: conf -*-
 Version: 5
 Version-Schema: group

## calibre 8.13.0%2Bds%2B~0.10.5

=== tools/podofocolor/CMakeLists.txt ===
set(color_srcs
  podofocolor.cpp 
  colorchanger.cpp 
  colorspace.cpp
  graphicsstack.cpp
  iconverter.cpp
  dummyconverter.cpp
  grayscaleconverter.cpp
)

set(color_extra_libs)

if(LUA_FOUND)
  set(color_extra_libs ${LUA_LIBRARIES})
  set(color_srcs ${color_srcs} luaconverter.cpp)
endif()

add_executable(podofocolor ${color_srcs})

target_link_libraries(podofocolor 
  ${PODOFO_LIBRARIES}
  ${color_extra_libs}
  podofo_private
  tools_private
)

install(TARGETS podofocolor RUNTIME DESTINATION "bin")

=== tools/podofotxtextract/CMakeLists.txt ===
add_executable(podofotxtextract podofotxtextract.cpp)
target_link_libraries(podofotxtextract
    ${PODOFO_LIBRARIES}
    podofo_private
    tools_private
)
install(TARGETS podofotxtextract RUNTIME DESTINATION "bin")

## calibre 8.13.0+ds+~0.10.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PoDoFo)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.1)
        message(FATAL_ERROR "GCC version must be at least 8.1")
    endif()
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "AppleClang")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 7.0)
        message(FATAL_ERROR "Clang version must be at least 7.0")
    endif()
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "15.9")
        message(FATAL_ERROR "MSVC version must be at least 15.9")
    endif()
else()
    message(WARNING "You are using an unsupported compiler!")
endif()

set(PODOFO_VERSION_MAJOR "0" CACHE STRING "Major part of podofo version number")
set(PODOFO_VERSION_MINOR "10" CACHE STRING "Minor part of podofo version number")
set(PODOFO_VERSION_PATCH "5" CACHE STRING "Patchlevel part of podofo version number")
set(PODOFO_VERSION "${PODOFO_VERSION_MAJOR}.${PODOFO_VERSION_MINOR}.${PODOFO_VERSION_PATCH}")
set(PODOFO_SOVERSION "2")

#
# Main includes
#
include(CheckIncludeFile)
include(CheckLibraryExists)
include(TestBigEndian)
include(CheckTypeSize)
include(GNUInstallDirs)

# Load modules from our source tree too
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${CMAKE_CURRENT_BINARY_DIR}")

# Builds must use this CMakeLists.txt, not the one in src/ or somewhere else.
# If users try to use something else the results can be confusing. We set a
# variable here that we require to be set elsewhere, otherwise we'll complain.
set(PODOFO_MAIN_CMAKELISTS_READ TRUE)

if(PODOFO_BUILD_LIB_ONLY)
    set(PODOFO_BUILD_TEST FALSE)
    set(PODOFO_BUILD_EXAMPLES FALSE)
    set(PODOFO_BUILD_TOOLS FALSE)
else()
    if (NOT DEFINED PODOFO_BUILD_TEST)
        set(PODOFO_BUILD_TEST TRUE)
    endif()

    if (NOT DEFINED PODOFO_BUILD_EXAMPLES)
        set(PODOFO_BUILD_EXAMPLES TRUE)
    endif()

    if (NOT DEFINED PODOFO_BUILD_TOOLS)
        set(PODOFO_BUILD_TOOLS FALSE)
    endif()

    # We assume a standalone build so we set output
    # path to a fixed location
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/target)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/target)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/target)
    message(STATUS "Binary output directory is \"${CMAKE_BINARY_DIR}/target\"")
endif()

if (DEFINED PODOFO_BUILD_SHARED)
    message(FATAL_ERROR "PODOFO_BUILD_SHARED shouldn't be defined externally. Set PODOFO_BUILD_STATIC to TRUE if you need a static build")
endif()

option(PODOFO_BUILD_STATIC "Build static libraries (.a/.lib)" FALSE)
if(PODOFO_BUILD_STATIC)
    set(PODOFO_BUILD_SHARED FALSE)
    add_compile_definitions(PODOFO_STATIC)
else()
    set(PODOFO_BUILD_SHARED TRUE)
    add_compile_definitions(PODOFO_SHARED)
endif()

message("Will install libraries to ${CMAKE_INSTALL_FULL_LIBDIR}")

# Linux packagers want an uninstall target.
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
    -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

if(NOT DEFINED PLATFORM_SYSTEM_LIBRARIES)
    set(PLATFORM_SYSTEM_LIBRARIES)
endif()

if(WIN32)
    # We must explicitly link to the core win32 libraries
    list(APPEND PLATFORM_SYSTEM_LIBRARIES kernel32 user32 gdi32 winspool comdlg32 advapi32 shell32 ole32 oleaut32 uuid ws2_32 Crypt32)
endif()

# Set minimum required standard C++17, but also enforce it
# with compiler options as CMAKE_CXX_STANDARD (or any other
# CMake construct) won't really do it.
# See https://discourse.cmake.org/t/how-to-limit-maximum-cxx-standard-to-prevent-accidental-c-17-or-above-code/9862/2
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)
if (MSVC)
    # Set the compiler less permissive and add some warnings
    # /we4287: unsigned/negative constant mismatch
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:/std:c++17> $<$<COMPILE_LANGUAGE:CXX>:/Zc:__cplusplus> /permissive- /utf-8 /we4287 /W4)

    # Microsoft deprecate certain POSIX functions that we use.
    # for now, turn off these warnings.
    add_compile_definitions(_CRT_SECURE_NO_DEPRECATE)
else()
    # By default hide symbols on gcc/clang
    # TODO: Remove -Wno-format-truncation after porting the
    # code to std::fmt as it will be unuseful
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-std=gnu++17> $<$<COMPILE_LANGUAGE:CXX>:-Woverloaded-virtual> $<$<COMPILE_LANGUAGE:CXX>:-Wreorder> -fvisibility=hidden -Wall -Wswitch -Wcast-qual -Wwrite-strings -Wredundant-decls -Wno-format-truncation -Wno-unknown-pragmas -Wno-unknown-warning-option)

    # Note that we do not need debug definitions here. Set
    # -DCMAKE_BUILD_TYPE=debug or (if you want an optimised
    # release build with debug info) -DCMAKE_CXX_FLAGS="-g3"
    #
    # We add -W unless we're using gcc on win32, where it produces
    # spurious warnings about dllimport of inlines because of a dllimport
    # declaration on the whole class.
    if(NOT WIN32)
        add_definitions(-W)
    endif()
endif()

find_package(ZLIB REQUIRED)
message("Found zlib headers in ${ZLIB_INCLUDE_DIR}, library at ${ZLIB_LIBRARIES}")

find_package(OpenSSL REQUIRED)
message("OPENSSL_LIBRARIES: ${OPENSSL_LIBRARIES}")

find_package(Libidn)

if(LIBIDN_FOUND)
    message("Found Libidn headers in ${LIBIDN_INCLUDE_DIR}, library at ${LIBIDN_LIBRARIES}")
    set(PODOFO_HAVE_LIBIDN TRUE)
    message("Libidn found. AES-256 Encryption support will be enabled")
else()
    message("Libidn not found. AES-256 Encryption support will be disabled")
endif()

find_package(JPEG)

if(JPEG_FOUND)
    message("Found libjpeg headers in ${JPEG_INCLUDE_DIR}, library at ${JPEG_LIBRARIES}")
    set(PODOFO_HAVE_JPEG_LIB TRUE)
else()
    message("Libjpeg not found. JPEG support will be disabled")
endif()

find_package(TIFF)

if(TIFF_FOUND)
    message("Found libtiff headers in ${TIFF_INCLUDE_DIR}, library at ${TIFF_LIBRARIES}")
    set(PODOFO_HAVE_TIFF_LIB TRUE)
else()
    message("Libtiff not found. TIFF support will be disabled")
endif()

find_package(PNG)

if(PNG_FOUND)
    message("Found LibPng headers in ${PNG_INCLUDE_DIR}, library at ${PNG_LIBRARIES}")
    set(PODOFO_HAVE_PNG_LIB TRUE)
else()
    message("LibPng not found. PNG support will be disabled")
    set(PNG_LIBRARIES "")
endif()

find_package(Freetype REQUIRED)
message("Found freetype library at ${FREETYPE_LIBRARIES}, headers ${FREETYPE_INCLUDE_DIRS}")

find_package(Fontconfig)
if(Fontconfig_FOUND)
    set(PODOFO_HAVE_FONTCONFIG TRUE)
    message("Found fontconfig headers in ${Fontconfig_INCLUDE_DIRS}, library at ${Fontconfig_LIBRARIES}")
endif()

if(WIN32 AND NOT PODOFO_HAVE_FONTCONFIG OR PODOFO_WANT_WIN32GDI)
    # Fallback to GDI if FontConfig is missing in Windows
    set(PODOFO_HAVE_WIN32GDI TRUE)
    message("Enabled Windows GDI API")
endif()

find_package(LibXml2 REQUIRED)
message("Found libxml2 library at ${LIBXML2_LIBRARIES}, headers ${LIBXML2_INCLUDE_DIRS}")

# The podofo library needs to be linked to these libraries
# NOTE: Be careful when adding/removing: the order may be
# platform sensible, so don't modify the current order

set(PODOFO_HEADERS_DEPENDS)
set(PODOFO_LIB_DEPENDS OpenSSL::SSL)
if(Fontconfig_FOUND)
    list(APPEND PODOFO_LIB_DEPENDS Fontconfig::Fontconfig)
endif()
list(APPEND PODOFO_LIB_DEPENDS Freetype::Freetype)
list(APPEND PODOFO_LIB_DEPENDS LibXml2::LibXml2)
if(PNG_FOUND)
    list(APPEND PODOFO_LIB_DEPENDS PNG::PNG)
endif()
if(TIFF_FOUND)
    list(APPEND PODOFO_LIB_DEPENDS TIFF::TIFF)
endif()
if(JPEG_FOUND)
    list(APPEND PODOFO_LIB_DEPENDS JPEG::JPEG)
endif()
list(APPEND PODOFO_LIB_DEPENDS ZLIB::ZLIB)
list(APPEND PODOFO_LIB_DEPENDS ${PLATFORM_SYSTEM_LIBRARIES})

if(LIBIDN_FOUND)
    # libidn doesn't provide targets.
    list(APPEND PODOFO_LIB_DEPENDS ${LIBIDN_LIBRARIES})
    list(APPEND PODOFO_HEADERS_DEPENDS ${LIBIDN_INCLUDE_DIR})
endif()

# Create the config file. It'll be appended to as the subdirs run though
# then dependency information will be written to it at the end of the
# build.
file(WRITE
    "${PROJECT_BINARY_DIR}/podofoConfig.cmake"
    "# CMake module for podofo\n"
)
file(APPEND
    "${PROJECT_BINARY_DIR}/podofoConfig.cmake"
    "set(PODOFO_INCLUDES ${PROJECT_SOURCE_DIR}/src)\n"
)

add_subdirectory(src/podofo)
include_directories(${PODOFO_INCLUDE_DIRS})

if(PODOFO_BUILD_TEST)
    enable_testing()
    add_subdirectory(test)
endif()

if(PODOFO_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(PODOFO_BUILD_TOOLS)
    add_subdirectory(tools)
endif()

# Enable packaging
set(CPACK_PACKAGE_DESCRIPTION "A C++ PDF manipulation library")
set(CPACK_PACKAGE_HOMEPAGE_URL "https://github.com/podofo/podofo")
set(CPACK_PACKAGE_VENDOR "Francesco Pretto")
set(CPACK_PACKAGE_CONTACT "ceztko@gmail.com")
set(CPACK_PACKAGE_VERSION ${PODOFO_VERSION})
if (WIN32)
    # Set MSI generation
    set(CPACK_GENERATOR "WIX")
endif()
include(CPack)

=== man/CMakeLists.txt ===

INSTALL(FILES
  podofobox.1
  podofocolor.1
  podofocountpages.1
  podofocrop.1
  podofogc.1
  podofoencrypt.1
  podofoimg2pdf.1
  podofoimgextract.1
  podofoimpose.1
  podofoincrementalupdates.1
  podofomerge.1
  podofopages.1
  podofopdfinfo.1
  podofotxt2pdf.1
  podofotxtextract.1
  podofouncompress.1
  podofoxmp.1
  DESTINATION ${MANDIR}man1
  )

=== playground/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

if ("${CMAKE_BUILD_TYPE}" STREQUAL "")
    set(CMAKE_BUILD_TYPE "Release")
endif()

# Clean CMAKE_CONFIGURATION_TYPES. Only one configuration will be used
unset(CMAKE_CONFIGURATION_TYPES CACHE) # It will also remove it from GUI
set(CMAKE_CONFIGURATION_TYPES "${CMAKE_BUILD_TYPE}")

project(podofo)
enable_testing() # Needed to enable "make test" from binary dir

# An useful variable to check if we are running from playground
set(PODOFO_PLAYGROUND TRUE)

if ("${ARCH}" STREQUAL "")
    message(FATAL_ERROR "ARCH is not set. Run the boostrap scripts")
endif()

if ("${PODOFO_DIR}" STREQUAL "")
    get_filename_component(PODOFO_DIR ${CMAKE_CURRENT_SOURCE_DIR} DIRECTORY)
endif()

set(DEPS_PATH "$ENV{PODOFO_DEPS_PATH}")
if ("${DEPS_PATH}" STREQUAL "")
    set(DEPS_PATH "${PODOFO_DIR}/extern/deps/3rdparty")
endif()

if(NOT EXISTS "${DEPS_PATH}")
    message(FATAL_ERROR "Deps path doesn't exists: try fetch git submodules with:\n    git submodule update --init")
endif()

cmake_host_system_information(RESULT CORE_COUNT QUERY NUMBER_OF_PHYSICAL_CORES)

if (MSVC)
    # Set parallel compilation by default in Visual Studio
    add_compile_options("/MP${CORE_COUNT}")

    # Ignore warnings about missing pdbs
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /ignore:4099")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /ignore:4099")
    set(CMAKE_STATIC_LINKER_FLAGS "${CMAKE_STATIC_LINKER_FLAGS} /ignore:4099")
endif()

message("ARCHITECTURE: ${ARCH}")
message("PODOFO_DIR: ${PODOFO_DIR}")
message("DEPS_PATH: ${DEPS_PATH}")

# Set include folders for find_package()
list(APPEND CMAKE_INCLUDE_PATH
    "${DEPS_PATH}/zlib/include"
    "${DEPS_PATH}/libxml2/include"
    "${DEPS_PATH}/fontconfig/include"
    "${DEPS_PATH}/freetype/include"
    "${DEPS_PATH}/libpng/include"
    "${DEPS_PATH}/libjpeg/include"
    "${DEPS_PATH}/libtiff/include"
    "${DEPS_PATH}/openssl/include"
    "${DEPS_PATH}/libidn/include"
)

# Set library folders for find_package()
list(APPEND CMAKE_LIBRARY_PATH
    "${DEPS_PATH}/zlib/lib/${ARCH}"
    "${DEPS_PATH}/libxml2/lib/${ARCH}"
    "${DEPS_PATH}/freetype/lib/${ARCH}"
    "${DEPS_PATH}/fontconfig/lib/${ARCH}"
    "${DEPS_PATH}/libpng/lib/${ARCH}"
    "${DEPS_PATH}/libjpeg/lib/${ARCH}"
    "${DEPS_PATH}/libtiff/lib/${ARCH}"
    "${DEPS_PATH}/openssl/lib/${ARCH}"
    "${DEPS_PATH}/libidn/lib/${ARCH}"
)

# Set use libxml2 static for fontconfig
add_compile_definitions(LIBXML_STATIC)
# Set use libidn static
add_compile_definitions(LIBIDN_STATIC)

if(WIN32)
    if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
        set(LIB_SUFFIX "d")
    endif()

    # Following libraries find-modules have issues in correctly
    # determining the right optimized/debug library so we do it manually

    # OpenSSL
    set(OPENSSL_INCLUDE_DIR "${DEPS_PATH}/openssl/include" CACHE PATH "" FORCE)
    set(LIB_EAY_DEBUG "${DEPS_PATH}/openssl/lib/${ARCH}/cryptod.lib" CACHE FILEPATH "" FORCE)
    set(LIB_EAY_RELEASE "${DEPS_PATH}/openssl/lib/${ARCH}/crypto.lib" CACHE FILEPATH "" FORCE)
    set(SSL_EAY_DEBUG "${DEPS_PATH}/openssl/lib/${ARCH}/ssld.lib" CACHE FILEPATH "" FORCE)
    set(SSL_EAY_RELEASE "${DEPS_PATH}/openssl/lib/${ARCH}/ssl.lib" CACHE FILEPATH "" FORCE)
    # Libxml2
    set(LIBXML2_LIBRARY "${DEPS_PATH}/libxml2/lib/${ARCH}/libxml2${LIB_SUFFIX}.lib" CACHE FILEPATH "" FORCE)
    # Fontconfig
    set(Fontconfig_LIBRARY "${DEPS_PATH}/fontconfig/lib/${ARCH}/fontconfig${LIB_SUFFIX}.lib" CACHE FILEPATH "" FORCE)
else()
    # Freetype
    set(FREETYPE_INCLUDE_DIR_ft2build "${DEPS_PATH}/freetype/include/freetype2" CACHE PATH "" FORCE)
    set(FREETYPE_INCLUDE_DIR_freetype2 "${DEPS_PATH}/freetype/include" CACHE PATH "" FORCE)
    set(FREETYPE_LIBRARY_RELEASE "${DEPS_PATH}/freetype/lib/${ARCH}/libfreetype.a" CACHE FILEPATH "" FORCE)
    # Fontconfig
    set(Fontconfig_LIBRARY "${DEPS_PATH}/fontconfig/lib/${ARCH}/libfontconfig.a" CACHE FILEPATH "" FORCE)
    set(PLATFORM_SYSTEM_LIBRARIES "${DEPS_PATH}/bzip2/lib/${ARCH}/libbz2.a" "${DEPS_PATH}/libuuid/lib/${ARCH}/libuuid.a")
endif()

add_subdirectory("${PODOFO_DIR}" "${CMAKE_BINARY_DIR}/podofo")

=== tools/CMakeLists.txt ===
if (PODOFO_BUILD_TOOLS)
    message(WARNING "PoDoFo tools are enabled: tools are currently untested and unsupported")
else()
    return()
endif()

add_subdirectory(private)

if (MSVC)
    # Force requirement for unicode entry point
    add_link_options(/ENTRY:wmainCRTStartup)
else()
    if (MINGW)
        add_link_options(-municode)
    endif()
    # TODO: Remove me when all the tools are cleaned of use of C functions
    add_compile_options(-Wno-deprecated-declarations)
endif()

add_subdirectory(podofobox)
add_subdirectory(podofocolor)
add_subdirectory(podofocountpages)
add_subdirectory(podofocrop)
add_subdirectory(podofoencrypt)
add_subdirectory(podofogc)
add_subdirectory(podofoimgextract)
add_subdirectory(podofoimg2pdf)
add_subdirectory(podofomerge)
add_subdirectory(podofopages)
add_subdirectory(podofopdfinfo)
add_subdirectory(podofotxt2pdf)
add_subdirectory(podofotxtextract)
add_subdirectory(podofouncompress)
add_subdirectory(podofoimpose)
add_subdirectory(podofoincrementalupdates)
add_subdirectory(podofoxmp)
add_subdirectory(podofonooc)
add_subdirectory(podofosign)

=== examples/helloworld-base14/CMakeLists.txt ===
# This is not a full standalone CMake configuration for the hello world
# example.
#
# To build it outside the PoDoFo source tree, you must set your build system
# make the PoDoFo headers available and must link to the PoDoFo library
# and any libraries it depends on (see the README,
#     "5. Using PoDoFo in Your Application") .
#
# Note that you don't need the headers for PoDoFo's dependencies in your
# header search path.

add_compile_options(${PODOFO_CFLAGS})
add_executable(helloworld-base14 helloworld-base14.cpp)
target_link_libraries(helloworld-base14 ${PODOFO_LIBRARIES})

=== test/ContentParser/CMakeLists.txt ===

ADD_EXECUTABLE(ContentParser main.cpp)
TARGET_LINK_LIBRARIES(ContentParser ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(ContentParser PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(ContentParser ${PODOFO_DEPEND_TARGET})

=== test/CreationTest/CMakeLists.txt ===
ADD_EXECUTABLE(CreationTest CreationTest.cpp)
TARGET_LINK_LIBRARIES(CreationTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(CreationTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(CreationTest ${PODOFO_DEPEND_TARGET})

# Copy the test samples over to the build tree
ADD_CUSTOM_COMMAND(
    TARGET CreationTest
    POST_BUILD
    COMMAND "${CMAKE_COMMAND}" -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/resources" "${CMAKE_CURRENT_BINARY_DIR}/resources"
    )

=== test/SignatureTest/CMakeLists.txt ===
SET(sign_srcs
  SignTest.cpp
  )

#IF(FALSE)
#  SET(sign_extra_libs -L/usr/lib -lssl3 -lsmime3 -lnss3 -lnssutil3)
#  SET(sign_srcs ${sign_srcs} NSSSignatureGenerator.cpp)
#  ADD_DEFINITIONS(-I/usr/include/nss -I/usr/include/nspr )
#ENDIF(FALSE)

ADD_EXECUTABLE(SignatureTest ${sign_srcs})

TARGET_LINK_LIBRARIES(SignatureTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS} ${sign_extra_libs} )
SET_TARGET_PROPERTIES(SignatureTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")

ADD_DEPENDENCIES(SignatureTest ${PODOFO_DEPEND_TARGET})

=== test/TokenizerTest/CMakeLists.txt ===
ADD_EXECUTABLE(TokenizerTest TokenizerTest.cpp)
TARGET_LINK_LIBRARIES(TokenizerTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(TokenizerTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(TokenizerTest ${PODOFO_DEPEND_TARGET})

=== test/VariantTest/CMakeLists.txt ===
ADD_EXECUTABLE(VariantTest VariantTest.cpp)
TARGET_LINK_LIBRARIES(VariantTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(VariantTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(VariantTest ${PODOFO_DEPEND_TARGET})

=== test/common/CMakeLists.txt ===
file(GLOB_RECURSE SOURCE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.cpp" "*.h" "*.hpp")

# Set visual studio source group
source_group("" FILES ${SOURCE_FILES})

add_library(podofo_test STATIC ${SOURCE_FILES})

=== test/unit/CMakeLists.txt ===
file(GLOB SOURCE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.h" "*.cpp")
source_group("" FILES ${SOURCE_FILES})

include_directories(
    ${Fontconfig_INCLUDE_DIRS}
    ${FREETYPE_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
)

# repeat for each test
add_executable(podofo-unit ${SOURCE_FILES})
target_link_libraries(podofo-unit
    podofo_test
    ${PODOFO_LIBRARIES}
    podofo_private
    ${PODOFO_LIB_DEPENDS}
)
add_compile_options(${PODOFO_CFLAGS})

include(CTest)
include(Catch)
catch_discover_tests(podofo-unit)

=== debian/changelog ===
calibre (8.13.0+ds+~0.10.5-3) unstable; urgency=medium

  * Limit build architecture
    qt6-webengine is available on some limited architecture such as:
    amd64, arm64, armhf, i386.
  * Rules-Requires-Root is "no" by default since dpkg 1.22.13

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Oct 2025 19:21:09 +0900

calibre (8.13.0+ds+~0.10.5-2) unstable; urgency=medium

  * Network test is unstable in reproducible-builder environment

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Oct 2025 11:08:50 +0900

calibre (8.13.0+ds+~0.10.5-1) unstable; urgency=medium

  * Add upstream version mangle to PoDoFo section
    for release-candidate versions
  * New upstream version 8.13.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 Oct 2025 19:42:39 +0900

=== debian/control ===
--- 
+++ 
@@ -99,7 +99,6 @@
 Vcs-Browser: https://github.com/debian-calibre/calibre
 Vcs-Git: https://github.com/debian-calibre/calibre.git
 Homepage: https://calibre-ebook.com
-Rules-Requires-Root: no
 
 Package: calibre
 Architecture: all
@@ -184,7 +183,7 @@
  formats.
 
 Package: calibre-bin
-Architecture: any
+Architecture: amd64 arm64 armhf i386
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

TOPDIR=$(shell pwd)

# help for reproducible build
export LANG=C.UTF-8
export LC_ALL=C.UTF-8
export LC_CTYPE=C.UTF-8
export LC_MESSAGES=C.UTF-8
export LANGUAGE=

# building with python3
PYTHON=$(shell py3versions -d)
PYTHON_PATH=$(shell command -v $(PYTHON))
SETUP=$(PYTHON) setup.py

# build options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

# display build commands while CMake build
export VERBOSE=1

# Set hash seed to Qt resource compiler output will deterministic one.
# See QHash class document on Qt document.
export QT_HASH_SEED=0

# Do all test by default
TEST_FLAGS =
CI_ENV =

# This test always hang-up
TEST_FLAGS += --exclude-test-name=fts_pool

# Enable all tests while in UNRELEASED
ifneq ($(shell dpkg-parsechangelog --show-field=Distribution),UNRELEASED)
  include debian/buildd-options.mak
  CI_ENV += CI=true
endif

%:
	dh $@ --with=python3 --buildsystem=makefile

.PHONY: calibre_auto_test calibre_auto_install blhc-note

DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query --showformat='$${source:Version}' --show python3-pyqt6)

# podofo: marge CPPFLAGS into CFLAGS/CXXFLAGS for cmake build
DEB_PODOFO_CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

blhc-note:
#	# Add false-positive info for blhc(1) check
	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -c /usr/share/cmake-[0-9\.]+/Modules/CMakeCXXCompilerABI\.cpp .+'
	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'

override_dh_auto_configure:
	env CFLAGS="$(CFLAGS) $(DEB_PODOFO_CPPFLAGS) -fPIC" CXXFLAGS="$(CXXFLAGS) $(DEB_PODOFO_CPPFLAGS) -fPIC" cmake -B podofo -S podofo -DPODOFO_BUILD_LIB_ONLY=TRUE -DPODOFO_BUILD_STATIC=TRUE

override_dh_auto_build: blhc-note
	cmake --build podofo --clean-first
	env PODOFO_INC_DIR=$(TOPDIR)/podofo/src/podofo PODOFO_LIB_DIR=$(TOPDIR)/podofo/src/podofo $(SETUP) build
	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
	$(SETUP) gui
	$(SETUP) kakasi

# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
override_dh_auto_test:
	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test

calibre_auto_test:
	env TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book --exclude-test-name=qt
	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book         $(TEST_FLAGS)
	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=qt                $(TEST_FLAGS)

override_dh_auto_install:
	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install

calibre_auto_install:
	mkdir -p  debian/tmp/usr/share/icons/hicolor
	mkdir -p  debian/tmp/usr/share/applications
	mkdir -p  debian/tmp/usr/share/mime/packages
	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
	env XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config PODOFO_INC_DIR=$(TOPDIR)/podofo/src/podofo PODOFO_LIB_DIR=$(TOPDIR)/podofo/src/podofo $(SETUP) install --root=debian/tmp/usr
#
#	# not needed
	rm debian/tmp/usr/share/calibre/calibre-portable.*
	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
	rmdir debian/tmp/usr/share/desktop-directories
#
#	# do not install developer's script
	rm    debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
	rmdir debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/
#	# Debian package "python3-tinycss" doesn't installs test code
	rm    debian/tmp/usr/lib/calibre/tinycss/tests/*.py
	rmdir debian/tmp/usr/lib/calibre/tinycss/tests/
#
#	# Remove source path name from pyuic6 outputs
	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place

override_dh_installman:
	debian/install-manpages.sh

override_dh_auto_clean:
	$(SETUP) build --clean
	$(SETUP) liberation_fonts --clean
	py3clean src/calibre/gui2
	$(SETUP) gui --clean
	$(SETUP) kakasi --clean
	py3clean setup src

override_dh_gencontrol:
	dh_gencontrol $(DEB_DH_GENCONTROL_ARGS)

# No need to touch "calibre-bin".
override_dh_python3:
	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)

=== debian/watch ===
--- 
+++ 
@@ -20,3 +20,4 @@
 Owner: podofo
 Project: podofo
 Source: https://api.github.com/repos/podofo/podofo/git/matching-refs/tags/0.10
+Uversion-Mangle: s/-(rc|a|b|c)/~$1/

## calibre 8.14.0+ds+~0.10.5

=== examples/CMakeLists.txt ===
add_subdirectory(helloworld)
add_subdirectory(helloworld-base14)

=== examples/helloworld/CMakeLists.txt ===
# This is not a full standalone CMake configuration for the hello world
# example.
#
# To build it outside the PoDoFo source tree, you must set your build system
# make the PoDoFo headers available and must link to the PoDoFo library
# and any libraries it depends on (see the README,
#     "5. Using PoDoFo in Your Application") .
#
# Note that you don't need the headers for PoDoFo's dependencies in your
# header search path.

add_compile_options(${PODOFO_CFLAGS})
add_executable(helloworld helloworld.cpp)
target_link_libraries(helloworld ${PODOFO_LIBRARIES})

=== src/podofo/CMakeLists.txt ===
if(NOT PODOFO_MAIN_CMAKELISTS_READ)
    message(FATAL_ERROR "Run cmake on the CMakeLists.txt in the project root, not the one in the 'src' directory. You will need to delete CMakeCache.txt from the current directory.")
endif()

# Generate our configure file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/podofo_config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/podofo_config.h")

# Needed for <date/date.h>
add_compile_definitions(HAS_UNCAUGHT_EXCEPTIONS=1)

set(PODOFO_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    "${PROJECT_SOURCE_DIR}/src"
    "${PROJECT_SOURCE_DIR}/3rdparty"
    CACHE INTERNAL "podofo include directories"
)

include_directories(
    ${PODOFO_INCLUDE_DIRS}
    ${PODOFO_HEADERS_DEPENDS}
)

add_subdirectory(private)

if (MSVC)
    # Silence linking warnings of podofo_private accessing main podofo symbols
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /ignore:4217 /ignore:4286")
endif()

set(PODOFO_BASE_HEADERS
    podofo.h
)
set(PODOFO_CONFIG_HEADER "${CMAKE_CURRENT_BINARY_DIR}/podofo_config.h")

install(FILES ${PODOFO_BASE_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/podofo")
install(FILES ${PODOFO_CONFIG_HEADER} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/podofo/auxiliary")

set(PODOFO_SOURCES ${PODOFO_BASE_HEADERS} ${PODOFO_CONFIG_HEADER})
if(PODOFO_BUILD_SHARED AND WIN32)
    # If we build for windows systems, we also include the resource file
    list(APPEND PODOFO_SOURCES podofo.rc)
endif()

# Set visual studio source group
source_group("" FILES ${PODOFO_SOURCES})

macro(add_source subdir subdir_path)
    file(GLOB_RECURSE SOURCE_FILES "${subdir_path}/*")
    # Set visual studio source group
    source_group(${subdir} FILES ${SOURCE_FILES})
    # Add subdir to source files
    list(APPEND PODOFO_SOURCES ${SOURCE_FILES})
    # Set non private headers for install
    set(HEADER_FILES ${SOURCE_FILES})
    list(FILTER HEADER_FILES EXCLUDE REGEX "\.cpp$")
endmacro()

foreach(subdir main auxiliary staging)
    add_source(${subdir} "${CMAKE_CURRENT_SOURCE_DIR}/${subdir}")
    install(FILES ${HEADER_FILES} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/podofo/${subdir}")
endforeach()

if(NOT PODOFO_HAVE_FONTCONFIG)
    # Remove FontConfig source if not needed
    list(REMOVE_ITEM PODOFO_SOURCES
        "${CMAKE_CURRENT_SOURCE_DIR}/main/PdfFontConfigWrapper.h"
        "${CMAKE_CURRENT_SOURCE_DIR}/main/PdfFontConfigWrapper.cpp"
    )
endif()

add_source("3rdparty/pdfium" "${PROJECT_SOURCE_DIR}/3rdparty/pdfium")

add_compile_definitions(PODOFO_BUILD)

if(PODOFO_BUILD_STATIC)
    message("Building static podofo library")
    add_library(podofo_static STATIC ${PODOFO_SOURCES})
    add_library(podofo::podofo ALIAS podofo_static)
    target_link_libraries(podofo_static podofo_private ${PODOFO_LIB_DEPENDS})
    set_target_properties(podofo_static PROPERTIES
        VERSION "${PODOFO_VERSION}"
        SOVERSION "${PODOFO_SOVERSION}"
        CLEAN_DIRECT_OUTPUT 1
        OUTPUT_NAME "podofo"
    )
    install(TARGETS podofo_static podofo_private
        EXPORT podofo-config
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    install(EXPORT podofo-config
        DESTINATION share/podofo
    )
    set(PODOFO_LIBRARIES podofo_static podofo_private
        CACHE INTERNAL "Which podofo library variant to depend on")
endif()

if(PODOFO_BUILD_SHARED)
    message("Building shared podofo library")
    add_library(podofo_shared SHARED ${PODOFO_SOURCES})
    add_library(podofo::podofo ALIAS podofo_shared)
    target_link_libraries(podofo_shared PRIVATE podofo_private ${PODOFO_LIB_DEPENDS})
    # TODO: set /wd4251 flag if we're doing a debug build with
    # Visual Studio, since it produces invalid warnings about STL
    # use.
    set_target_properties(podofo_shared PROPERTIES
        VERSION "${PODOFO_VERSION}"
        SOVERSION "${PODOFO_SOVERSION}"
        CLEAN_DIRECT_OUTPUT 1
        OUTPUT_NAME "podofo"
    )
    # Since we're building a shared podofo, prefer to depend on this one for
    # tests and tools over the static library (if built).
    install(TARGETS podofo_shared
        EXPORT podofo-config
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
    install(EXPORT podofo-config
        DESTINATION share/podofo
    )

    # Create a pkg-config file for linking against shared library
    # if pkg-config is available on the system.
    # Add a version to the file name corresponding to the API compatibility.

    find_program(PKG_CONFIG_FOUND pkg-config)
    if(PKG_CONFIG_FOUND)
        message("Pkg-config found, creating a pkg-config file for linking against shared library.")
        configure_file(
            "libpodofo.pc.in"
            "${PROJECT_BINARY_DIR}/libpodofo.pc"
            @ONLY)
        install(
            FILES "${PROJECT_BINARY_DIR}/libpodofo.pc"
            DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
    else()
        message("Pkg-config not found. No pkg-config file will be created.")
    endif()

    set(PODOFO_LIBRARIES podofo_shared
        CACHE INTERNAL "Which podofo library variant to depend on")
endif()

# Use these flags when compiling code that includes podofo headers.
# Failure to do so will result in compilation or link-time errors
# on some platforms, and can even cause undefined results at runtime.
if(PODOFO_BUILD_STATIC)
    set(PODOFO_CFLAGS "-DPODOFO_STATIC" CACHE INTERNAL "Extra flags required when linking to podofo")
else()
    set(PODOFO_CFLAGS "" CACHE INTERNAL "Extra flags required when linking to podofo")
endif()

# Write the cflags and depend target to the config file
file(APPEND
    "${PROJECT_BINARY_DIR}/podofoConfig.cmake"
    "set(PODOFO_CFLAGS ${PODOFO_CFLAGS})\n"
)
file(APPEND
    "${PROJECT_BINARY_DIR}/podofoConfig.cmake"
    "set(PODOFO_LIBRARIES ${PODOFO_LIBRARIES})\n"
)

=== test/LargeTest/CMakeLists.txt ===
IF(WANT_FONTCONFIG)
# We don't build LargeTest on win32 since it depends on
# fontconfig to operate
ADD_EXECUTABLE(LargeTest LargeTest.cpp)
TARGET_LINK_LIBRARIES(LargeTest ${PODOFO_LIB} ${PODOFO_LIB_DEPENDS})
SET_TARGET_PROPERTIES(LargeTest PROPERTIES COMPILE_FLAGS "${PODOFO_CFLAGS}")
ADD_DEPENDENCIES(LargeTest ${PODOFO_DEPEND_TARGET})
ENDIF(WANT_FONTCONFIG)

=== tools/podofoencrypt/CMakeLists.txt ===
add_executable(podofoencrypt podofoencrypt.cpp)
target_link_libraries(podofoencrypt ${PODOFO_LIBRARIES} tools_private)
install(TARGETS podofoencrypt RUNTIME DESTINATION "bin")

=== tools/podofoimpose/CMakeLists.txt ===
set(SOURCE_FILES
    charpainter.h
    charpainter.cpp
    impositionplan.h
	impositionplan.cpp
    pdftranslator.h
	pdftranslator.cpp
    planreader_legacy.h
	planreader_legacy.cpp
	podofoimpose.cpp
)

set(IMPOSE_EXTRA_LIBS)
if(LUA_FOUND)
	set(IMPOSE_EXTRA_LIBS ${LUA_LIBRARIES})
	set(SOURCE_FILES ${SOURCE_FILES} lua_compat.h planreader_lua.h planreader_lua.cpp)
endif()

add_executable(podofoimpose ${SOURCE_FILES})
target_link_libraries(podofoimpose
	${PODOFO_LIBRARIES}
	podofo_private
	${IMPOSE_EXTRA_LIBS}
	tools_private
)
install(TARGETS podofoimpose RUNTIME DESTINATION "bin")

=== tools/podofoincrementalupdates/CMakeLists.txt ===
add_executable(podofoincrementalupdates incrementalupdates.cpp)
target_link_libraries(podofoincrementalupdates ${PODOFO_LIBRARIES} tools_private)
install(TARGETS podofoincrementalupdates RUNTIME DESTINATION "bin")

=== tools/podofopages/CMakeLists.txt ===
add_executable(podofopages podofopages.cpp
    DeleteOperation.cpp
    DeleteOperation.h
    MoveOperation.cpp
    MoveOperation.h
    Operation.h
)
target_link_libraries(podofopages ${PODOFO_LIBRARIES} tools_private)
install(TARGETS podofopages RUNTIME DESTINATION "bin")

=== tools/podofopdfinfo/CMakeLists.txt ===
add_executable(podofopdfinfo podofopdfinfo.cpp pdfinfo.cpp pdfinfo.h)
target_link_libraries(podofopdfinfo
	${PODOFO_LIBRARIES}
	podofo_private
	tools_private
)
install(TARGETS podofopdfinfo RUNTIME DESTINATION "bin")

=== tools/podofoxmp/CMakeLists.txt ===
add_executable(podofoxmp podofoxmp.cpp)
target_link_libraries(podofoxmp ${PODOFO_LIBRARIES} tools_private)
install(TARGETS podofoxmp RUNTIME DESTINATION "bin")

=== debian/changelog ===
calibre (8.14.0+ds+~0.10.5-1) unstable; urgency=medium

  * Revert "Limit build architecture"
  * New upstream version 8.14.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 08 Nov 2025 00:03:17 +0900

=== debian/control ===
--- 
+++ 
@@ -183,7 +183,7 @@
  formats.
 
 Package: calibre-bin
-Architecture: amd64 arm64 armhf i386
+Architecture: any
 Depends:
     ${shlibs:Depends},
     ${misc:Depends}

## calibre 8.15.0+ds+~0.10.5

=== debian/changelog ===
calibre (8.15.0+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.15.0+ds+~0.10.5
  * Rediff patches.
    Drop 0009-Use-stdint.h-to-support-MIPS64.patch: Upstream code dropped
  * Renumber patches
  * Enable test: fts_pool
  * Disable fragile test while CI build

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 21 Nov 2025 21:14:32 +0900

=== debian/rules ===
--- 
+++ 
@@ -27,12 +27,17 @@
 # Do all test by default
 TEST_FLAGS =
 CI_ENV =
+DISABLE_FRAGILE_TEST =
 
-# This test always hang-up
-TEST_FLAGS += --exclude-test-name=fts_pool
-
-# Enable all tests while in UNRELEASED
+# Disable fragile test in release build
 ifneq ($(shell dpkg-parsechangelog --show-field=Distribution),UNRELEASED)
+  DISABLE_FRAGILE_TEST = true
+endif
+# Disable fragile test in CI environment
+ifeq ($(GITLAB_CI),true)
+  DISABLE_FRAGILE_TEST = true
+endif
+ifeq ($(DISABLE_FRAGILE_TEST),true)
   include debian/buildd-options.mak
   CI_ENV += CI=true
 endif
